var Wick = Wick || {};
Wick.BasketData = (function () {
  return {
    validPostCodes: function () {
      return [
        'RT_01',
        'RT_02',
        'RT_03',
        'RT_04',
        'RT_05',
        'RT_051',
      ]
    },
    successVoucherData: {
      "subTotal": "£85.00",
      "deliveryCost": "£4.00",
      "freeDelivery": false,
      "clickAndCollectCost": "FREE",
      "totalForDelivery": "£69.00",
      "totalForClickAndCollect": "FREE",
      "total": "£67.00",
      "vat": "£11.17",
      "deliveryOrder": true,
      "clickAndCollectOrder": false,
      "discountTotal": "£2.00",
      "discounts": [
        "Spend over £10 and get £2 fixed discount"
      ],
      "promotionsInfo": [
        {
          "description": "Spend over £10 and get £2 fixed discount",
          "usedCouponCode": "RT_02"
        }
      ],
      "subTotalWithDeliveryCost": "£69.00",
      "net": false,
      "subtotalWithDeliveryAndDiscounts": "£67.00",
      "discountAmounts": [],
      "goodsTotalWithoutDiscount": "£65.00",
      "charityPrice": ""
    },
    failVoucherData: {
      "status": 400,
      "responseJSON": {
        "globalMessage": {
          "message": "Delivery is already free. Coupon can’t be applied",
        }
      }
    },
    updateQuantity: {
      "statusCode": "lowStock",
      "quantityAdded": 71,
      "quantity": 0,
      "entry": {
        "entryNumber": 2,
        "quantity": 74,
        "basePrice": {
          "currencyIso": "GBP",
          "value": 5.0,
          "priceType": "BUY",
          "formattedValue": "£5.00",
          "minQuantity": null,
          "maxQuantity": null,
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "formattedPriceWithoutCurrencySymbol": "5.00",
          "pricing": null
        },
        "totalPrice": {
          "currencyIso": "GBP",
          "value": 3700.0,
          "priceType": "BUY",
          "formattedValue": "£3700.00",
          "minQuantity": null,
          "maxQuantity": null,
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "formattedPriceWithoutCurrencySymbol": "3700.00",
          "pricing": null
        },
        "product": {
          "code": "221100",
          "name": "Blue Circle Ready To Use Postcrete - 20kg",
          "url": "/Blue-Circle-Ready-To-Use-Postcrete---20kg/p/221100",
          "purchasable": true,
          "stock": {
            "stockLevelStatus": {
              "code": "outOfStock",
              "type": "StockLevelStatus"
            },
            "stockLevel": 0,
            "stockThreshold": null,
            "makeUnavailable": false,
            "originalStockLevelStatus": {
              "code": "outOfStock",
              "type": "StockLevelStatus"
            },
            "exists": false,
            "stockMessage": null
          },
          "availableForPickup": true,
          "price": {
            "currencyIso": "GBP",
            "value": 5.0,
            "priceType": "BUY",
            "formattedValue": "£5.00",
            "minQuantity": null,
            "maxQuantity": null,
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": "KG",
            "infoUomPrice": 0.25,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "formattedPriceWithoutCurrencySymbol": "5.00",
            "pricing": null
          },
          "images": [
            {
              "imageType": "PRIMARY",
              "format": "zoom",
              "url": "//media.wickes.co.uk/is/image/wickes/largeNormal/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_00",
              "altText": "Blue Circle Ready To Use Postcrete - 20kg",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "product",
              "url": "//media.wickes.co.uk/is/image/wickes/normal/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_00",
              "altText": "Blue Circle Ready To Use Postcrete - 20kg",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "thumbnail",
              "url": "//media.wickes.co.uk/is/image/wickes/thumbnail/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_00",
              "altText": "Blue Circle Ready To Use Postcrete - 20kg",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "cartIcon",
              "url": "//media.wickes.co.uk/is/image/wickes/smallThumbnail/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_00",
              "altText": "Blue Circle Ready To Use Postcrete - 20kg",
              "galleryIndex": null,
              "width": null
            }
          ],
          "categories": [
            {
              "code": "1000208",
              "name": "Cement",
              "url": "/Products/Building-Materials/Cement+Aggregates/Cement/c/1000208",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            },
            {
              "code": "1000211",
              "name": "Concrete",
              "url": "/Products/Building-Materials/Cement+Aggregates/Concrete/c/1000211",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            }
          ],
          "baseOptions": [],
          "volumePrices": [],
          "configurable": false,
          "imageSetId": "B3182_221100_IS",
          "fulfilmentType": "STANDARD",
          "noScriptProductImageUrl": "//media.wickes.co.uk/is/image/wickes/largeNormal/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_00?defaultImage=wickes/2018-Wickes-Missing-Product-650x650",
          "sellOnly": false,
          "externalAverageRating": 4.9,
          "externalReviewCount": 4680,
          "coshhSheetUrl": "//media.wickes.co.uk/documents/wickes/B3182_221100_COSHH_0",
          "techSheetUrl": "//media.wickes.co.uk/documents/wickes/B3182_221100_TECH_0",
          "priceInclusiveVat": {
            "currencyIso": "GBP",
            "value": 5.0,
            "priceType": "BUY",
            "formattedValue": "£5.00",
            "minQuantity": null,
            "maxQuantity": null,
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": "KG",
            "infoUomPrice": 0.25,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "formattedPriceWithoutCurrencySymbol": "5.00",
            "pricing": null
          },
          "priceExclusiveVat": {
            "currencyIso": "GBP",
            "value": 4.17,
            "priceType": "BUY",
            "formattedValue": "£4.17",
            "minQuantity": null,
            "maxQuantity": null,
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": null,
            "infoUomPrice": null,
            "singleVolumePrice": null,
            "vatRatePercentage": null,
            "sellingUomDescription": null,
            "formattedPriceWithoutCurrencySymbol": "4.17",
            "pricing": null
          },
          "downStreamData": {
            "description": "Blue Circle Ready To Use Postcrete - 20kg",
            "fulfillmentType": "STANDARD",
            "swapCode": "",
            "productRanking": null,
            "order": null
          },
          "categoryPath": "Products/Building Materials/Cement & Aggregates/Cement",
          "hasDataSheets": true,
          "coshhSheetList": [
            {
              "code": "B3182_221100_COSHH_0",
              "description": null,
              "altText": null,
              "url": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_COSHH_0",
              "downloadUrl": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_COSHH_0",
              "size": null
            }
          ],
          "dopSheetList": [],
          "epdSheetList": [],
          "gilSheetList": [
            {
              "code": "B3182_221100_GIL_0",
              "description": null,
              "altText": null,
              "url": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_GIL_0",
              "downloadUrl": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_GIL_0",
              "size": null
            }
          ],
          "techSheetList": [
            {
              "code": "B3182_221100_TECH_0",
              "description": null,
              "altText": null,
              "url": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_TECH_0",
              "downloadUrl": "//media.wickes.co.uk/documents/wickes/Cement-Blue-Circle-Ready-To-Use-Postcrete-20kg~B3182_221100_TECH_0",
              "size": null
            }
          ],
          "fulfillmentAttributes": {
            "type": "STANDARD",
            "leadTimeDays": 1,
            "bigAndBulky": false,
            "supplierDelivered": false,
            "vision": false,
            "assumedAlwaysInStock": false,
            "webOnly": false,
            "treatAsFulfillmentTypeOnCheckout": null
          },
          "minOrderQuantity": 1,
          "gpid": "1000492390",
          "ean": "5018719100152",
          "isBaseProduct": false,
          "brandName": "Blue Circle",
          "scene7FlyoutViewerISCommand": "",
          "availableForShoppingList": false,
          "installationDetails": {
            "packCoverage": 0.0,
            "pricePerPack": 5.0,
            "pricePerPackInPence": 500,
            "pricePerSQM": 0.0,
            "width": 0.0,
            "length": 0.0,
            "material": "",
            "packQuantity": 0,
            "doesNotContainRequiredAttributes": null
          },
          "tileInstallationAvailable": false,
          "tileCalculationAvailable": false,
          "flooringInstallationAvailable": false,
          "flooringCalculationAvailable": false,
          "installationProduct": false,
          "availabilityRestriction": "NO_RESTRICTIONS",
          "availableForBigWinsCncOnly": false,
          "availableForBigWinsStockOnly": false
        },
        "updateable": true,
        "deliveryMode": null,
        "deliveryPointOfService": {
          "name": "8973",
          "displayName": null,
          "url": null,
          "description": "NDS Wickes Chadwell Heath",
          "openingHours": null,
          "storeContent": null,
          "features": {},
          "geoPoint": {
            "latitude": 51.566937,
            "longitude": 0.117506
          },
          "formattedDistance": null,
          "distanceKm": null,
          "mapIcon": null,
          "address": {
            "id": "10089029042199",
            "title": null,
            "titleCode": null,
            "firstName": null,
            "lastName": null,
            "companyName": "Wickes",
            "line1": "WICKES, 850 HIGH ROAD",
            "line2": "CHADWELL HEATH",
            "town": "ROMFORD",
            "region": null,
            "postalCode": "RM6 4HX",
            "phone": "020 8590 1116",
            "email": "",
            "country": {
              "isocode": "GB",
              "name": "United Kingdom"
            },
            "shippingAddress": false,
            "billingAddress": false,
            "defaultAddress": false,
            "visibleInAddressBook": true,
            "formattedAddress": "WICKES, 850 HIGH ROAD, CHADWELL HEATH, ROMFORD, RM6 4HX, United Kingdom",
            "contactAddress": false,
            "mobile": null,
            "fax": "123456",
            "regionString": null,
            "cardHolderName": null,
            "businessAddress": false,
            "createdTimestamp": null
          },
          "storeImages": [],
          "brand": "Wickes",
          "buyAndCollect": null,
          "loadingRestriction": null,
          "specificInfo": "",
          "satNavPostcode": null,
          "seoText": null,
          "productRanges": [],
          "metaTitle": null,
          "metaDescription": null,
          "h1": null
        },
        "entries": null,
        "configurationInfos": [],
        "statusSummaryMap": {},
        "entryGroupNumbers": [],
        "comments": [],
        "supportedActions": [
          "REMOVE"
        ],
        "taxValues": [
          {
            "code": "uk-vat-full",
            "value": 20.0,
            "appliedValue": 61.67,
            "absolute": false,
            "currencyIsoCode": "GBP"
          }
        ],
        "deliveryModeType": "PICKUP",
        "fulfilmentRouting": null,
        "collection": true,
        "charity": false,
        "leadTime": null,
        "leadTimeExtended": null,
        "itemTotalWithoutDiscount": {
          "currencyIso": "GBP",
          "value": 3700.0,
          "priceType": "BUY",
          "formattedValue": "£3700.00",
          "minQuantity": null,
          "maxQuantity": null,
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "formattedPriceWithoutCurrencySymbol": "3700.00",
          "pricing": null
        },
        "appliedPromotions": null,
        "tilingInstallationData": null,
        "flooringInstallationData": null,
        "alerts": null,
        "orderFulfilmentControls": {
          "availableForCollection": true,
          "availableForDelivery": true,
          "availableForWickesFulfilment": false
        },
      },
      "deliveryModeChanged": null,
      "cartCode": "663467017",
      "statusMessage": "accConfirmedMsgs",
      "entryGroupNumbers": null,
      "message": "The Basket quantity of <a href=\"/Blue-Circle-Ready-To-Use-Postcrete---20kg/p/221100\" style=\"text-decoration: underline\">Blue Circle Ready To Use Postcrete - 20kg</a> has been reduced to 74 from 100 due to insufficient stock."
    },
    updateCart: {
      "code": "696252000",
      "subTotal": {"value": 19.0, "formattedValue": "£19.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "19.00"},
      "totalTax": {"value": 3.17, "formattedValue": "£3.17", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "3.17"},
      "deliveryCost": {"value": 0.0, "formattedValue": "£0.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "0.00"},
      "charityPrice": {"value": 0.0, "formattedValue": "£0.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "0.00"},
      "totalDiscounts": {"value": 0.0, "formattedValue": "£0.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "0.00"},
      "totalPrice": {"value": 19.0, "formattedValue": "£19.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "19.00"},
      "potentialProductPromotions": [],
      "appliedProductPromotions": [],
      "appliedOrderPromotions": [],
      "promotionsInfo": null,
      "clickAndCollectOnly": true,
      "deliveryItemsQuantity": 0,
      "pickupItemsQuantity": 2,
      "freeDelivery": false,
      "subtotalWithoutCharity": {"value": 19.0, "formattedValue": "£19.00", "currencyIso": "GBP", "formattedPriceWithoutCurrencySymbol": "19.00"},
      "messageForFreeDelivery": null,
      "pickupOrderGroups": [
        {
          "entries": [
            {
              "entryNumber": 2,
              "quantity": 1,
              "basePrice": {
                "value": 100.0,
                "formattedValue": "£100",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "100"
              },
              "product": {
                "code": "221100",
                "name": "Blue Circle Ready To Use Postcrete - 20kg",
                "url": "/Blue-Circle-Ready-To-Use-Postcrete---20kg/p/221100",
                "minOrderQuantity": 0,
                "maxOrderQuantity": null,
                "fulfillmentAttributes": {
                  "type": "STANDARD_STORE_DELIVERED",
                  "leadTimeDays": 1,
                  "supplierDelivered": false
                },
                "price": {
                  "value": 100.0,
                  "formattedValue": "£100",
                  "currencyIso": "GBP",
                  "formattedPriceWithoutCurrencySymbol": "100"
                },
                "categoryPath": "Products/Building Materials/Cement & Aggregates/Cement",
                "brandName": "Blue Circle",
                "categories": [
                  {
                    "code": "1000208",
                    "name": "Cement"
                  },
                  {
                    "code": "1000211",
                    "name": "Concrete"
                  }
                ],
                "image": {
                  "url": "//media.dev.wickes.co.uk/is/image/wickes/B3182_221100_00?$normal$",
                  "altText": "Blue Circle Ready To Use Postcrete - 20kg"
                },
                "pricePerSqm": 0.0,
                "installationProduct": false
              },
              "updateable": true,
              "deliveryPointOfService": {
                "name": "8901",
                "description": "WX Test Store 12"
              },
              "charity": false,
              "itemTotalWithoutDiscount": {
                "value": 100.0,
                "formattedValue": "£100",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "100"
              },
              "orderFulfilmentControls": {
                "availableForDelivery": true,
                "availableForCollection": true,
                "availableForWickesFulfilment": false
              }
            }
          ],
          "quantity": 1,
          "totalPrice": {
            "value": 100.0,
            "formattedValue": "£100.00",
            "currencyIso": "GBP",
            "formattedPriceWithoutCurrencySymbol": "100.00"
          }
        },
        {
          "entries": [
            {
              "entryNumber": 1,
              "quantity": 1,
              "basePrice": {
                "value": 24.0,
                "formattedValue": "£24",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "24"
              },
              "product": {
                "code": "109450",
                "name": "Knauf Insulation Space Standard Top Up 170mm Loft Roll - 6.47m²",
                "url": "/Knauf-Insulation-Space-Standard-Top-Up-170mm-Loft-Roll---6-47m%C2%B2/p/109450",
                "minOrderQuantity": 0,
                "maxOrderQuantity": null,
                "fulfillmentAttributes": {
                  "type": "HOURLY_STANDARD",
                  "leadTimeDays": 1,
                  "supplierDelivered": false
                },
                "price": {
                  "value": 24.0,
                  "formattedValue": "£24",
                  "currencyIso": "GBP",
                  "formattedPriceWithoutCurrencySymbol": "24"
                },
                "categoryPath": "Products/Building Materials/Insulation/Loft Insulation",
                "brandName": "Knauf Insulation",
                "categories": [
                  {
                    "code": "1000270",
                    "name": "Loft Insulation"
                  }
                ],
                "image": {
                  "url": "//media.wickes.co.uk/is/image/wickes/O0032_109450_00?$normal$",
                  "altText": "Knauf Insulation Space Standard Top Up 170mm Loft Roll - 6.47m²"
                },
                "pricePerSqm": 0.0,
                "installationProduct": false
              },
              "updateable": true,
              "deliveryPointOfService": {
                "name": "8397",
                "description": "WATFORD"
              },
              "charity": false,
              "itemTotalWithoutDiscount": {
                "value": 24.0,
                "formattedValue": "£24",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "24"
              },
              "orderFulfilmentControls": {
                "availableForDelivery": true,
                "availableForCollection": true,
                "availableForWickesFulfilment": false
              }
            },
            {
              "entryNumber": 1,
              "quantity": 1,
              "basePrice": {
                "value": 0.0,
                "formattedValue": "£0",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "0"
              },
              "product": {
                "code": "103123",
                "name": "Wickes Passage Door Knob Set - Brass 1 Pair",
                "url": "/Wickes-Passage-Door-Knob-Set---Brass-1-Pair/p/103123",
                "minOrderQuantity": 0,
                "maxOrderQuantity": null,
                "fulfillmentAttributes": {
                  "type": "STANDARD",
                  "leadTimeDays": 1,
                  "supplierDelivered": false
                },
                "price": {
                  "value": 9.5,
                  "formattedValue": "£9.50",
                  "currencyIso": "GBP",
                  "formattedPriceWithoutCurrencySymbol": "9.50"
                },
                "categoryPath": "Products/Clearance",
                "brandName": "Wickes",
                "categories": [
                  {
                    "code": "1072000",
                    "name": "Clearance"
                  },
                  {
                    "code": "1065002",
                    "name": "Security & Hardware Clearance"
                  },
                  {
                    "code": "1022012",
                    "name": "Doors & Windows Clearance"
                  },
                  {
                    "code": "1008007",
                    "name": "Door Handles"
                  }
                ],
                "image": {
                  "url": "//media.wickes.co.uk/is/image/wickes/T3274_103123_00?$normal$",
                  "altText": "Wickes Passage Door Knob Set - Brass 1 Pair"
                },
                "pricePerSqm": 0.0,
                "installationProduct": false
              },
              "updateable": false,
              "deliveryPointOfService": null,
              "charity": false,
              "itemTotalWithoutDiscount": {
                "value": 0.0,
                "formattedValue": "£0",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "0"
              },
              "orderFulfilmentControls": {
                "availableForDelivery": true,
                "availableForCollection": true,
                "availableForWickesFulfilment": false
              }
            }
          ],
          "quantity": 2,
          "totalPrice": {
            "value": 40.5,
            "formattedValue": "£40.50",
            "currencyIso": "GBP",
            "formattedPriceWithoutCurrencySymbol": "40.50"
          }
        }
      ],
      "deliveryOrderGroups": [
        {
          "entries": [
            {
              "entryNumber": 3,
              "quantity": 1,
              "basePrice": {
                "value": 25.0,
                "formattedValue": "£25",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "25"
              },
              "product": {
                "code": "109451",
                "name": "Knauf Insulation Super Top Up 200mm Loft Roll - 5.61m²",
                "url": "/Knauf-Insulation-Super-Top-Up-200mm-Loft-Roll---5-61m%C2%B2/p/109451",
                "minOrderQuantity": 0,
                "maxOrderQuantity": null,
                "fulfillmentAttributes": {
                  "type": "STANDARD",
                  "leadTimeDays": 1,
                  "supplierDelivered": false
                },
                "price": {
                  "value": 25.0,
                  "formattedValue": "£25",
                  "currencyIso": "GBP",
                  "formattedPriceWithoutCurrencySymbol": "25"
                },
                "categoryPath": "Products/Building Materials/Insulation/Loft Insulation",
                "brandName": "Knauf Insulation",
                "categories": [
                  {
                    "code": "1000270",
                    "name": "Loft Insulation"
                  }
                ],
                "image": {
                  "url": "//media.wickes.co.uk/is/image/wickes/O0032_109451_00?$normal$",
                  "altText": "Knauf Insulation Super Top Up 200mm Loft Roll - 5.61m²"
                },
                "pricePerSqm": 0.0,
                "installationProduct": false
              },
              "updateable": true,
              "deliveryPointOfService": null,
              "charity": false,
              "itemTotalWithoutDiscount": {
                "value": 25.0,
                "formattedValue": "£25",
                "currencyIso": "GBP",
                "formattedPriceWithoutCurrencySymbol": "25"
              },
              "orderFulfilmentControls": {
                "availableForDelivery": true,
                "availableForCollection": true,
                "availableForWickesFulfilment": false
              }
            }
          ],
          "quantity": null,
          "totalPrice": {
            "value": 25.0,
            "formattedValue": "£25.00",
            "currencyIso": "GBP",
            "formattedPriceWithoutCurrencySymbol": "25.00"
          }
        }
      ],
      "paymentInfos": {"payPalEnabled": true, "payPalPaymentInfo": {"id": 123, "payer": "John.doe123@gmail.com"}},
      "payPalEnabled": true,
      "deliveryAddress": null,
      "pickupUniqueItemsNumber": 3,
      "deliveryUniqueItemsNumber": 1,
      "totalUnitCount": 2,
      "orderType": "CC"
    },
    changeMethod: {
      "statusCode": "pickUpInStoreSuccess",
      "quantityAdded": 0,
      "quantity": 2,
      "entry": {
        "entryNumber": 0,
        "quantity": 2,
        "basePrice": {
          "currencyIso": "GBP",
          "value": 18.0,
          "priceType": "BUY",
          "formattedValue": "£18.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "18.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "totalPrice": {
          "currencyIso": "GBP",
          "value": 36.0,
          "priceType": "BUY",
          "formattedValue": "£36.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "36.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "product": {
          "code": "191018",
          "name": "Aqua Flush Bathroom Ceiling Light",
          "url": "/Aqua-Flush-Bathroom-Ceiling-Light/p/191018",
          "purchasable": true,
          "stock": {
            "stockLevelStatus": {
              "code": "inStock",
              "type": "StockLevelStatus"
            },
            "stockLevel": null,
            "stockThreshold": null,
            "makeUnavailable": false,
            "originalStockLevelStatus": {
              "code": "inStock",
              "type": "StockLevelStatus"
            },
            "exists": false,
            "stockMessage": null
          },
          "availableForPickup": true,
          "price": {
            "currencyIso": "GBP",
            "value": 18.0,
            "priceType": "BUY",
            "formattedValue": "£18.00",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "18.00",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": "length",
            "infoUomPrice": 10.0,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "pricing": null
          },
          "images": [
            {
              "imageType": "PRIMARY",
              "format": "zoom",
              "url": "/medias/P2876-191018-00-PP-515Wx515H?context=bWFzdGVyfHBpbU1lZGlhfDExMTIzfGltYWdlL2pwZWd8cGltTWVkaWEvaDk0L2gzYy84Nzk2Mzk1ODk2ODYyLmpwZ3w4ZWE3MjQ3OGQyYzk1MWMxMjQyMGY3ODczMTJiMjZjMWQ1ZTNlN2FlNDRmMzYxMWUwYzU2MWMxZTMyYTM4OTE3",
              "altText": "Aqua Flush Bathroom Ceiling Light",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "product",
              "url": "/medias/P2876-191018-00-PP-300Wx300H?context=bWFzdGVyfHBpbU1lZGlhfDUxNDV8aW1hZ2UvanBlZ3xwaW1NZWRpYS9oYTAvaGUzLzg3OTYzOTU4MzEzMjYuanBnfGU0MWYxOWIwYjA3OTQwYmI1ZDM0MmNmZDZlZmUxZDYzM2UxZjYxYmQ3YzNkN2Q5N2I1ZWM3YzdiNDgzYzMxZGM",
              "altText": "Aqua Flush Bathroom Ceiling Light",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "thumbnail",
              "url": "/medias/P2876-191018-00-PP-96Wx96H?context=bWFzdGVyfHBpbU1lZGlhfDE0MDN8aW1hZ2UvanBlZ3xwaW1NZWRpYS9oYTcvaDhhLzg3OTYzOTU3MDAyNTQuanBnfDk5ZmFlZGRlOWM3YmNlMTZlOGYzYTllYzlhYWQ0ODZhMzVhZGE0NDIwMjU5MjAwNTJhNmMxMzA1ZTBjYzc2MGQ",
              "altText": "Aqua Flush Bathroom Ceiling Light",
              "galleryIndex": null,
              "width": null
            },
            {
              "imageType": "PRIMARY",
              "format": "cartIcon",
              "url": "/medias/P2876-191018-00-PP-65Wx65H?context=bWFzdGVyfHBpbU1lZGlhfDk1N3xpbWFnZS9qcGVnfHBpbU1lZGlhL2g3Zi9oYTEvODc5NjM5NTYzNDcxOC5qcGd8MmQ3N2RkNTkxMjFmZmMwYjY2YThhMjEyYzc5NTU2ZDM0Mzc4MDVkNTBkZTNmMmYwNWJhNmY1MzJkYzY5M2RhNg",
              "altText": "Aqua Flush Bathroom Ceiling Light",
              "galleryIndex": null,
              "width": null
            }
          ],
          "categories": [
            {
              "code": "1000071",
              "name": "Flush Lights",
              "url": "/Products/Electrical+Lighting/Interior-Lights/Flush-Lights/c/1000071",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            },
            {
              "code": "1000072",
              "name": "Ceiling Lights",
              "url": "/Products/Electrical+Lighting/Interior-Lights/Ceiling-Lights/c/1000072",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            },
            {
              "code": "1000077",
              "name": "Bathroom Lights",
              "url": "/Products/Electrical+Lighting/Interior-Lights/Bathroom-Lights/c/1000077",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            },
            {
              "code": "1001070",
              "name": "Bathroom Lighting",
              "url": "/Products/Bathrooms/Bathroom-Decor/Bathroom-Lighting/c/1001070",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            },
            {
              "code": "qa-test-category-4",
              "name": "Listing",
              "url": "/Products/Test-Product-Category/Sub-Category-Drills/Listing/c/qa-test-category-4",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            }
          ],
          "baseOptions": [],
          "volumePrices": [],
          "configurable": false,
          "imageSetId": "P2876_191018_IS",
          "fulfilmentType": "STANDARD",
          "noScriptProductImageUrl": "/medias/P2876-191018-00-PP-515Wx515H?context=bWFzdGVyfHBpbU1lZGlhfDExMTIzfGltYWdlL2pwZWd8cGltTWVkaWEvaDk0L2gzYy84Nzk2Mzk1ODk2ODYyLmpwZ3w4ZWE3MjQ3OGQyYzk1MWMxMjQyMGY3ODczMTJiMjZjMWQ1ZTNlN2FlNDRmMzYxMWUwYzU2MWMxZTMyYTM4OTE3&defaultImage=wickesstage/2018-Wickes-Missing-Product-650x650",
          "sellOnly": false,
          "externalAverageRating": 5.0,
          "externalReviewCount": 80,
          "priceInclusiveVat": {
            "currencyIso": "GBP",
            "value": 18.0,
            "priceType": "BUY",
            "formattedValue": "£18.00",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "18.00",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": "length",
            "infoUomPrice": 10.0,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "pricing": null
          },
          "priceExclusiveVat": {
            "currencyIso": "GBP",
            "value": 15.00,
            "priceType": "BUY",
            "formattedValue": "£15.00",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "15.00",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": null,
            "infoUomPrice": null,
            "singleVolumePrice": null,
            "vatRatePercentage": null,
            "sellingUomDescription": null,
            "pricing": null
          },
          "downStreamData": {
            "description": null,
            "fulfillmentType": "STANDARD",
            "swapCode": null,
            "productRanking": null,
            "order": null
          },
          "categoryPath": "Products/Electrical & Lighting/Interior Lights/Flush Lights",
          "hasDataSheets": false,
          "coshhSheetList": [],
          "dopSheetList": [],
          "epdSheetList": [],
          "gilSheetList": [],
          "techSheetList": [],
          "fulfillmentAttributes": {
            "type": "STANDARD",
            "leadTimeDays": 1,
            "bigAndBulky": false,
            "supplierDelivered": false,
            "vision": false,
            "assumedAlwaysInStock": false,
            "webOnly": false,
            "treatAsFulfillmentTypeOnCheckout": null
          },
          "minOrderQuantity": 2,
          "maxOrderQuantity": 5,
          "gpid": "1000477958",
          "isBaseProduct": false,
          "scene7FlyoutViewerISCommand": "",
          "availableForShoppingList": false,
          "installationDetails": {
            "packCoverage": 0.0,
            "pricePerPack": 18.0,
            "pricePerPackInPence": 1800,
            "pricePerSQM": 0.0,
            "width": 0.0,
            "length": 0.0,
            "material": "",
            "packQuantity": 1,
            "doesNotContainRequiredAttributes": null
          },
          "tileInstallationAvailable": false,
          "tileCalculationAvailable": false,
          "flooringInstallationAvailable": false,
          "flooringCalculationAvailable": false,
          "installationProduct": false,
          "availabilityRestriction": "NO_RESTRICTIONS",
          "availableForBigWinsCncOnly": false,
          "availableForBigWinsStockOnly": false
        },
        "updateable": true,
        "deliveryMode": null,
        "deliveryPointOfService": {
          "name": "8264",
          "displayName": null,
          "url": null,
          "description": "BEDFORD",
          "openingHours": {
            "name": "Test Opening Hours",
            "code": "qa-std-opening-hours",
            "weekDayOpeningList": [
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 8,
                  "minute": 0,
                  "formattedHour": "20:00"
                },
                "weekDay": "Mon",
                "closed": false,
                "fullWeekDay": "Monday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 8,
                  "minute": 0,
                  "formattedHour": "20:00"
                },
                "weekDay": "Tue",
                "closed": false,
                "fullWeekDay": "Tuesday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 8,
                  "minute": 0,
                  "formattedHour": "20:00"
                },
                "weekDay": "Wed",
                "closed": false,
                "fullWeekDay": "Wednesday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 8,
                  "minute": 0,
                  "formattedHour": "20:00"
                },
                "weekDay": "Thu",
                "closed": false,
                "fullWeekDay": "Thursday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 8,
                  "minute": 0,
                  "formattedHour": "20:00"
                },
                "weekDay": "Fri",
                "closed": false,
                "fullWeekDay": "Friday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 4,
                  "minute": 0,
                  "formattedHour": "16:00"
                },
                "weekDay": "Sat",
                "closed": false,
                "fullWeekDay": "Saturday"
              },
              {
                "openingTime": {
                  "hour": 10,
                  "minute": 0,
                  "formattedHour": "10:00"
                },
                "closingTime": {
                  "hour": 4,
                  "minute": 0,
                  "formattedHour": "16:00"
                },
                "weekDay": "Sun",
                "closed": false,
                "fullWeekDay": "Sunday"
              }
            ],
            "specialDayOpeningList": []
          },
          "storeContent": null,
          "features": {
            "qaSundayWorkshop": "Sunday Workshop",
            "testingKey": "Default feature",
            "CardOnly": "Card only payments",
            "VirtualDCAppointment": "Virtual Design Consultant appointments",
            "VirtualAndFace2FaceDCAppointment": "Virtual and face 2 face Design Consultant appointment",
            "BurgerVan": "Burger van on site",
            "CardAndCash": "Card and cash payments",
            "Unknown": "Unknown feature",
            "PaintMixingService": "Paint mixing service",
            "FlooringTileDisplays": "Flooring & Tiles display",
            "KitchenBathroomDisplays": "Kitchen & Bathroom displays",
            "InstallationService": "Installation service",
            "KitchenBathroomDisplaysDesignServices": "Kitchen & Bathroom displays design service",
            "ClearanceStore": "Clearence store"
          },
          "geoPoint": {
            "latitude": 52.1427,
            "longitude": -0.421591
          },
          "formattedDistance": null,
          "distanceKm": null,
          "mapIcon": null,
          "address": {
            "id": "8796094824471",
            "title": null,
            "titleCode": null,
            "firstName": null,
            "lastName": null,
            "companyName": null,
            "line1": "PERKINS ROAD, BEDFORD",
            "line2": "WICKES RIVERFIELD DRIVE",
            "town": "BEDFORDSHIRE",
            "region": null,
            "postalCode": "MK41 0UE",
            "phone": "01234 271569",
            "email": null,
            "country": {
              "isocode": "GB",
              "name": "United Kingdom"
            },
            "shippingAddress": false,
            "billingAddress": false,
            "defaultAddress": false,
            "visibleInAddressBook": true,
            "formattedAddress": "PERKINS ROAD, BEDFORD, WICKES RIVERFIELD DRIVE, BEDFORDSHIRE, MK41 0UE, United Kingdom",
            "contactAddress": false,
            "mobile": null,
            "fax": "01234 342675",
            "regionString": null,
            "cardHolderName": null,
            "businessAddress": false,
            "createdTimestamp": null
          },
          "storeImages": [],
          "brand": null,
          "buyAndCollect": null,
          "loadingRestriction": false,
          "specificInfo": "",
          "satNavPostcode": null,
          "seoText": "Some SEO text for testing",
          "productRanges": [
            {
              "name": "good fixing",
              "description": "fixtures"
            },
            {
              "name": "good installation",
              "description": "installations"
            },
            {
              "name": "good helping",
              "description": "helpings"
            },
            {
              "name": "good resolving",
              "description": "resolvings"
            }
          ],
          "metaTitle": null,
          "metaDescription": null,
          "h1": null
        },
        "entries": null,
        "configurationInfos": [],
        "statusSummaryMap": {},
        "entryGroupNumbers": [],
        "comments": [],
        "supportedActions": [
          "REMOVE"
        ],
        "taxValues": [
          {
            "code": "uk-vat-full",
            "value": 20.0,
            "appliedValue": 6.0,
            "absolute": false,
            "currencyIsoCode": "GBP"
          }
        ],
        "deliveryModeType": "PICKUP",
        "fulfilmentRouting": null,
        "collection": true,
        "charity": false,
        "leadTime": null,
        "leadTimeExtended": null,
        "itemTotalWithoutDiscount": {
          "currencyIso": "GBP",
          "value": 36.0,
          "priceType": "BUY",
          "formattedValue": "£36.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "36.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "appliedPromotions": null,
        "tilingInstallationData": null,
        "flooringInstallationData": null,
        "orderFulfilmentControls": {
          "availableForCollection": true,
          "availableForDelivery": true,
          "availableForWickesFulfilment": false
        },
        "alerts": null
      },
      "deliveryModeChanged": null,
      "cartCode": "001006000",
      "statusMessage": "accConfirmedMsgs",
      "entryGroupNumbers": null,
      "message": "Pickup in store item was updated."
    },
    checkStockBasketResponse: {
      "availableArea": true,
      "availableQuantity": 10
    },
    wisdomAddForDelivery: {
      "statusCode": "success",
      "quantityAdded": 0,
      "quantity": 6,
      "entry": {
        "entryNumber": 0,
        "quantity": 6,
        "basePrice": {
          "currencyIso": "GBP",
          "value": 4.0,
          "priceType": "BUY",
          "formattedValue": "£4.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "4.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "totalPrice": {
          "currencyIso": "GBP",
          "value": 24.0,
          "priceType": "BUY",
          "formattedValue": "£24.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "24.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "product": {
          "code": "300000",
          "name": "Wickes Fulfilment Product 1",
          "url": "/Wickes-Fulfilment-Product-1/p/300000",
          "purchasable": true,
          "stock": {
            "stockLevelStatus": {
              "code": "outOfStock",
              "type": "StockLevelStatus"
            },
            "stockLevel": 0,
            "stockThreshold": null,
            "makeUnavailable": false,
            "originalStockLevelStatus": {
              "code": "outOfStock",
              "type": "StockLevelStatus"
            },
            "exists": false,
            "stockMessage": null
          },
          "availableForPickup": true,
          "price": {
            "currencyIso": "GBP",
            "value": 4.0,
            "priceType": "BUY",
            "formattedValue": "£4.00",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "4.00",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": null,
            "infoUomPrice": null,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "pricing": null
          },
          "categories": [
            {
              "code": "1003000",
              "name": "Wickes Fulfilment Products",
              "url": "/Products/Wickes-Fulfilment-Products/c/1003000",
              "description": null,
              "image": null,
              "parentCategoryName": null,
              "sequence": 0
            }
          ],
          "baseOptions": [],
          "volumePrices": [],
          "configurable": false,
          "imageSetId": "missing-product",
          "fulfilmentType": "STANDARD",
          "noScriptProductImageUrl": "https://media.wickes.co.uk/is/image/wickes/2018-Wickes-Missing-Product-650x650",
          "sellOnly": false,
          "externalAverageRating": 0.0,
          "externalReviewCount": 0,
          "priceInclusiveVat": {
            "currencyIso": "GBP",
            "value": 4.0,
            "priceType": "BUY",
            "formattedValue": "£4.00",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "4.00",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": null,
            "infoUomPrice": null,
            "singleVolumePrice": null,
            "vatRatePercentage": 20.0,
            "sellingUomDescription": null,
            "pricing": null
          },
          "priceExclusiveVat": {
            "currencyIso": "GBP",
            "value": 3.33,
            "priceType": "BUY",
            "formattedValue": "£3.33",
            "minQuantity": null,
            "maxQuantity": null,
            "formattedPriceWithoutCurrencySymbol": "3.33",
            "currencySymbol": "£",
            "wasPrice": null,
            "infoUom": null,
            "infoUomPrice": null,
            "singleVolumePrice": null,
            "vatRatePercentage": null,
            "sellingUomDescription": null,
            "pricing": null
          },
          "downStreamData": {
            "description": null,
            "fulfillmentType": "STANDARD",
            "swapCode": null,
            "productRanking": null,
            "order": null
          },
          "categoryPath": "Products/Wickes Fulfilment Products",
          "hasDataSheets": false,
          "coshhSheetList": [],
          "dopSheetList": [],
          "epdSheetList": [],
          "gilSheetList": [],
          "techSheetList": [],
          "fulfillmentAttributes": {
            "type": "STANDARD",
            "leadTimeDays": 1,
            "bigAndBulky": false,
            "supplierDelivered": false,
            "vision": false,
            "assumedAlwaysInStock": false,
            "webOnly": false,
            "treatAsFulfillmentTypeOnCheckout": null
          },
          "gpid": "1111300000",
          "isBaseProduct": false,
          "scene7FlyoutViewerISCommand": "",
          "availableForShoppingList": false,
          "installationDetails": {
            "packCoverage": 0.0,
            "pricePerPack": 4.0,
            "pricePerPackInPence": 400,
            "pricePerSQM": 0.0,
            "width": 0.0,
            "length": 0.0,
            "material": "",
            "packQuantity": 0,
            "doesNotContainRequiredAttributes": null
          },
          "tileInstallationAvailable": false,
          "tileCalculationAvailable": false,
          "flooringInstallationAvailable": false,
          "flooringCalculationAvailable": false,
          "installationProduct": false,
          "availabilityRestriction": "NO_RESTRICTIONS",
          "availableForBigWinsCncOnly": false,
          "availableForBigWinsStockOnly": false
        },
        "updateable": true,
        "deliveryMode": null,
        "deliveryPointOfService": null,
        "entries": null,
        "configurationInfos": [],
        "statusSummaryMap": {},
        "entryGroupNumbers": [],
        "comments": [],
        "supportedActions": [
          "REMOVE"
        ],
        "taxValues": [
          {
            "code": "uk-vat-full",
            "value": 20.0,
            "appliedValue": 4.0,
            "absolute": false,
            "currencyIsoCode": "GBP"
          }
        ],
        "deliveryModeType": "SHIP",
        "fulfilmentRouting": null,
        "collection": false,
        "charity": false,
        "leadTime": null,
        "leadTimeExtended": null,
        "itemTotalWithoutDiscount": {
          "currencyIso": "GBP",
          "value": 24.0,
          "priceType": "BUY",
          "formattedValue": "£24.00",
          "minQuantity": null,
          "maxQuantity": null,
          "formattedPriceWithoutCurrencySymbol": "24.00",
          "currencySymbol": "£",
          "wasPrice": null,
          "infoUom": null,
          "infoUomPrice": null,
          "singleVolumePrice": null,
          "vatRatePercentage": null,
          "sellingUomDescription": null,
          "pricing": null
        },
        "appliedPromotions": null,
        "tilingInstallationData": null,
        "flooringInstallationData": null,
        "orderFulfilmentControls": {
          "availableForCollection": true,
          "availableForDelivery": true,
          "availableForWickesFulfilment": false
        },
        "alerts": null
      },
      "deliveryModeChanged": true,
      "cartCode": "001013000",
      "statusMessage": "accConfirmedMsgs",
      "entryGroupNumbers": null,
      "message": "Pickup in store item was updated to shipping."
    }
  }
})();
